Kerbal Space Program - Bug #5059

Incorrect contract description
05/26/2015 10:56 PM - wernher

Status: Not a Bug Start date: 05/26/2015
Severity: Low % Done: 0%
Assignee:
Category:
Target version:
Version: 1.0.1 Language: English (US)
Platform: Any Mod Related: No

Expansion:

Description

| accepted a contract stating "Rescue XY, who is stranded in orbit around Kerbin." only to discover that XY was in fact orbiting the
Mun and by orbiting | mean two hours away from collision.
So the contract was if not impossible to fulfill at least wrongly labeled.

(It might be that XY was initially orbiting Kerbin and got captured by the Mun before | accepted the contract. In that case a simple
solution would be to exclude certain "unsafe" orbits from the contract generator.)

History

#1 - 05/27/2015 12:55 PM - Kasuha

| think the real problem is that randomly generated contract orbits don't respect Mun presence. | had to deploy several satellites on collision course
with Mun, too, and these were also called 'Kerbin orbit'. In your case, the game likely also generated random point in that orbit that by chance
happened to be inside Mun SOI.

| believe a check should be added to the orbit generator to make sure it is a safe stable orbit, i.e. does not intersect trajectory of any of other bodies
present in the SOI. Regardless of purpose for which the orbit is generated.

#2 - 07/08/2015 08:55 PM - Squelch

- Status changed from New to Not a Bug

- % Done changed from 0 to 100

Some contracts may be generated that are very hard. They are rare, and they are not obligatory.

Safe zones could be put into place, but this isn't as expedient as it may first seem. Jool has many unsafe zones around it, and should be considered
danger territory. Once a player is accepting contracts around Jool, they are likely to be fairly experienced, so would be or quickly become aware of the
pitfalls. Should more experienced player be denied these challenges?

The result is a design decision after much debate.

We are not obliged to accept all contracts, and probably shouldn't. In those rare occasions where a hard contract is generated in early game, it serves
as a reminder that space is hard, and the best laid plans are not infallible. A rescue mission may come at any time, but as in real life, we may not be

prepared or able to actually do anything about it. While we may know of missions beforehand and can plan contingencies, this is not the Kerbal way.

The forums are the best place to discuss this matter.
